## com.google.appengine.api.appidentity
Class AppIdentityServiceFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.appidentity.AppIdentityServiceFailureException

All Implemented Interfaces:
  java.io.Serializable

    public final class AppIdentityServiceFailureException

extends java.lang.RuntimeException

`AppIdentityServiceFailureException` is thrown when any unknown error occurs while communicating with the app identity service.

See Also:
  Serialized Form

Constructor Summary
`AppIdentityServiceFailureException(java.lang.String message)` Creates an exception with the supplied message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppIdentityServiceFailureException

    public AppIdentityServiceFailureException(java.lang.String message)

  Creates an exception with the supplied message.

  Parameters:
    `message` - A message describing the reason for the exception.